@import url('https://fonts.googleapis.com/css2?family=Cormorant+Garamond:wght@700&display=swap');
:root {
    /* COLORS */
    --primary-pink: #FFB7CB;
    --primary-blue: #75C4ED;
    --primary-purple: #5A5E9B;
    --pastle-purple: #F6CBF8;
    --pastle-green: #CBF7D6;
    --pastle-cyan: #CAF7F0;
    --text-color: var(--primary-purple);

    /* FONTS */
    --title-font: "Cormorant Garamond", serif;
    --body-font: Arial, Helvetica, sans-serif;

    /* SPACING */
    --xtra-small:1rem;
    --small: 2rem;
    --medium: 4rem;
    --large: 8rem;

    --transition: 300ms;
}

body {
    width: 100%;
    display: grid;
    grid-template-columns: 20% 80%;
    color: var(--text-color);
    background: var(--primary-pink);
    text-align: center;
    overflow: clip;
    @media (width < 830px) {
        display: block;
        overflow-y: auto;
    }
}
/* TYPOGRAPHY */
h1,
h2,
h3,
h4 {
    font-family: var(--title-font);
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
    color: var(--text-color);
    line-height: 1.25;
    text-align: center;
    filter: drop-shadow(3px 3px 0 white);
    text-transform: uppercase;
}
h1 {
    font-size: 6rem;
}
h2 {
    font-size: 4rem;
}
h3,
h4 {
    font-size: 2rem;
}
p,
footer {
    font-family: var(--body-font);
    font-size: 1.25rem;
    line-height: 1.5;
    width: 60ch;
    max-width: 100%;
    text-align: center;
    margin: auto;
}
hr {
    border: 2px solid white;
    width: 16em;
    margin: 5rem auto;
}
.button {
    font-family: var(--body-font);
    font-size: 1.5rem;
    padding: var(--xtra-small);
    border: 5px solid white;
    border-radius: 12px;
    color: white;
    text-decoration: none;
    background: transparent;
    cursor: pointer;
    transition: all 300ms;
    &:hover {
        color: var(--primary-purple);
        border-color: var(--primary-purple)
    }
}
nav {
    grid-column: 1 / 2;
    grid-row: 1 / 4;
    background: inherit;
    position: static;
    width: 100%;
    li {
        transition: all var(--transition);
        &:hover {
            background-color: var(--primary-purple);
            cursor: pointer;
            a {
                text-decoration-color: #ffffff;
            }
        }
        a {
            display: block;
            padding: 1.5rem;
            font-family: var(--body-font);
            font-size: 2rem;
            color: white;
            text-decoration-color: #FFFFFF00;
        }
    }
    @media (width < 830px) {
        position: fixed;
        #logo {
            max-width: 200px;
            margin: auto;
        }
        li {
            width: 100%;
            a {
                padding: var(--xtra-small);
            }
        }
        &[popover] {
            background-color: var(--primary-pink);
            width: 100%;
            padding-bottom: 1rem;
            box-shadow: 0 10px 30px #00000040;

            opacity: 0;
            transition: 
                opacity var(--transition) ease,
                transform var(--transition) ease,
                display var(--transition) allow-discrete,
                overlay var(--transition) allow-discrete;
                &:popover-open {
                    opacity: 1;
                    @starting-style {
                        opacity: 0;
                    }
                }
                &::backdrop {
                    background: var(--primary-purple);
                    opacity: 0;
                    transition:
                        opacity var(--transition) ease,
                        display var(--transition) allow-discrete,
                        overlay var(--transition) allow-discrete;
                }
                &:popover-open::backdrop {
                    opacity: 0.6;
                    @starting-style {
                        opacity: 0;
                    }
                }
        }
    }
}
.container {
    height: 100vh;
    overflow-x: hidden;
    overflow-y: auto;
    grid-column: 2/3;
    @media (width < 830px) {
        height: auto;
    }
}
header,
main > section:not(#shop),
#shop > div,
footer {
    padding: var(--medium);
    position: relative;
    box-shadow: 0 5px 5px #00000025;
    overflow: hidden;
    @media (width < 830px) {
        padding: var(--small);
    }
}
footer {
    box-shadow: none;
}
.falling-star {
    position: absolute;
    pointer-events: none;
    fill: white;
    filter: drop-shadow(3px 3px 0 var(--primary-purple));
}
header {
    background-image: url(../assets/tarot-spread.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-blend-mode: multiply;
    z-index: 7;
    p {
        font-size: var(--small);
        font-weight: bold;
        color: white;
        filter: drop-shadow(3px 3px 0 var(--primary-purple));
    }
}
#burger,
#close {
    display: none;
    @media (width < 830px) {
        display: block;
        margin: 1rem;
        img {
            width: 40px;
        }
    }
}
@media (width < 830px) {
    #burger {
        position: fixed;
        justify-self: end;
        z-index: 100;
    }

    #close {
        float: right;
    }
}
main {
    background: var(--pastle-purple);
}
.position1,
.position2{
    display: grid;
    grid-template-columns: repeat(2, 50%);
    box-shadow: 0 5px 5px #00000025;
    h2 {
        font-size: 3rem;
    }
    p {
        text-align: right;
        justify-self: end;
    }
    @media (width < 500px) {
        gap: var(--xtra-small);
        
    }
}
.position1{
    background: var(--primary-pink);
    z-index: 6;
    p,
    .button {
        grid-column: 2 / 3;
        width: fit-content;
        height: fit-content;
    }
    .button {
        align-self: end;
        justify-self: end;
    }
    @media (width < 500px) {
        p,
        h2,
        .button {
            grid-column: 1 / 3;
        }
    }
}
.position2{
    z-index: 5;
    background: var(--primary-purple);
    h2,
    p {
        color: white;
    }
    h2 {
        filter: drop-shadow(3px 3px 0 black);
        grid-column: 2 / 3;
    }
    p {
        grid-column: 1 / 2;
        grid-row: 1 / 2;
        text-align: left;
        justify-self: start;
        align-self: center;
    }
    @media (width < 500px) {
        p,
        h2 {
            grid-row: 2/3;
            grid-column: 1 / 3;
        }
        h2 {
            grid-row: 1/2;
        }
    }
}
#products{
    z-index: 4;
    background: var(--primary-blue);
    .product-wrapper {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(min(250px, 100%), 1fr));
        grid-auto-rows: auto;
        gap: var(--xtra-small);
        a.product {
            max-width: 100%;
            display: grid;
            grid-template-columns: 1fr;
            grid-template-rows: 1fr;
            justify-items: center;
            align-items: center;
            text-decoration: none;
            color: white;
            font-size: var(--small);
            font-weight: bold;
            position: relative;
            overflow: clip;
            transition: filter var(--transition) ease;
            img {
                width: 100%;
                height: auto;
                transition: filter var(--transition) ease;
                filter: blur(2px);
            }
            img,
            span {
                grid-column: 1/2;
                grid-row: 1/2;
                transition: opacity var(--transition) ease;
                z-index: 1;
            }
            span {
                filter: drop-shadow(3px 3px 0 black);
            }
            .cta {
                opacity: 0;
                pointer-events: none;
            }
            &:hover img,
            &:focus-visible img,
            &:focus-within img {
                filter: brightness(0.6);
            }
            &:hover .cta,
            &:focus-visible .cta,
            &:focus-within .cta {
                opacity: 1;
            }
            &:hover span:not(.cta),
            &:focus-visible span:not(.cta),
            &:focus-within span:not(.cta) {
                opacity: 0;
            }
            &:hover,
            &:focus-visible,
            &:focus-within {
                filter: drop-shadow(0 3px 3px black);
            }
        }
    }
}
#about{
    z-index: 3;
}
#upcoming-projects{
    background-image: url(../assets/chamber-time-bg_inverted.webp);
    background-color: var(--pastle-cyan);
    background-blend-mode: overlay;
    z-index: 2;
}
#contact{
    background: var(--pastle-green);
}
.hidden {
    display: none !important;
}
/* mailerlite */
.ml-embedded {
    margin-top: var(--medium);
}
#mlb2-45057527.ml-form-embedContainer {
    display: block !important;
}